org.springframework.cloud.dataflow.server.job.support

## Class StepExecutionProgressInfo

- java.lang.Object
- - org.springframework.cloud.dataflow.server.job.support.StepExecutionProgressInfo

-     public class StepExecutionProgressInfo
      extends Object

  Represents Batch job step execution progress info.
  Since:
    1.0
  Author:
    Dave Syer, Ilayaperumal Gopinathan, Gary Russell

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionProgressInfo(org.springframework.batch.core.StepExecution stepExecution, StepExecutionHistory stepExecutionHistory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDuration()`
    `double` | `getEstimatedPercentComplete()`
    `org.springframework.context.MessageSourceResolvable` | `getEstimatedPercentCompleteMessage()`
    `org.springframework.batch.core.StepExecution` | `getStepExecution()`
    `StepExecutionHistory` | `getStepExecutionHistory()`
    `Long` | `getStepExecutionId()`
    `boolean` | `isFinished()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionProgressInfo

          public StepExecutionProgressInfo(org.springframework.batch.core.StepExecution stepExecution,
                                           StepExecutionHistory stepExecutionHistory)

  - ### Method Detail

    - #### getEstimatedPercentCompleteMessage

          public org.springframework.context.MessageSourceResolvable getEstimatedPercentCompleteMessage()

    - #### isFinished

          public boolean isFinished()

    - #### getDuration

          public double getDuration()

    - #### getEstimatedPercentComplete

          public double getEstimatedPercentComplete()

    - #### getStepExecutionId

          public Long getStepExecutionId()

    - #### getStepExecution

          public org.springframework.batch.core.StepExecution getStepExecution()

    - #### getStepExecutionHistory

          public StepExecutionHistory getStepExecutionHistory()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.